package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * @Author: cy
 * @Date: 2022/5/30
 */
@ApiModel
public class CourseScheduleRecord implements Serializable {
    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Long id;

    @TableField("course_id_")
    @ApiModelProperty(value = "课程id")
    private Long courseId;

    @TableField("teacher_id_")
    @ApiModelProperty(value = "老师id")
    private Long teacherId;

    @TableField("student_count_")
    @ApiModelProperty(value = "上课学员人数")
    private Integer studentCount;

    @TableField("consum_time_")
    @ApiModelProperty(value = "总消耗时长")
    private Integer consumTime;

    @TableField("end_time_")
    @ApiModelProperty(value = "结课时间")
    private Date endTime;

    @TableField("created_time_")
    @ApiModelProperty(value = "创建时间")
    private Date createdTime;

    @TableField("updated_time_")
    @ApiModelProperty(value = "更新时间")
    private Date updatedTime;

    @TableField(exist = false)
    @ApiModelProperty(value = "单课时长")
    private Integer singleCourseTime;

    public Integer getSingleCourseTime() {
        return singleCourseTime;
    }

    public void setSingleCourseTime(Integer singleCourseTime) {
        this.singleCourseTime = singleCourseTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Long getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Long teacherId) {
        this.teacherId = teacherId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public Integer getStudentCount() {
        return studentCount;
    }

    public void setStudentCount(Integer studentCount) {
        this.studentCount = studentCount;
    }

    public Integer getConsumTime() {
        return consumTime;
    }

    public void setConsumTime(Integer consumTime) {
        this.consumTime = consumTime;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }
}

